[Bug 416890] Re: [karmic] Latest libk3b6-extracodecs package depends on stripped ffmpeg packages, but not the unstripped ones.

Sjors Gielen dazjorz+launchpad at dazjorz.com
Sat Sep 12 21:45:57 BST 2009


Same thing happens here. In libk3b6-extracodecs version 1.66.0~alpha2-0ubuntu6:
Depends: [...] libavcodec52 (>= 3:0.svn20090303-1), libavformat52 (>= 3:0.svn20090303-1), libavutil49 (>= 3:0.svn20090303-1)
In version -0ubuntu5:
Depends: [...] libavcodec52 (>= 3:0.svn20090303-1) | libavcodec-unstripped-52 (>= 3:0.svn20090303-1), libavformat52 (>= 3:0.svn20090303-1) | libavformat-unstripped-52 (>= 3:0.svn20090303-1), libavutil49 (>= 3:0.svn20090303-1) | libavutil-unstripped-49 (>= 3:0.svn20090303-1)

dpkg --list snip:
ii  libavcodec-extra-52                        4:0.5+svn20090706-2ubuntu1                 ffmpeg codec library
ii  libavcodec-unstripped-52                   4:0.5+svn20090706-2ubuntu1                 ffmpeg utility library - transitional package
ii  libavformat52                              4:0.5+svn20090706-2ubuntu1                 ffmpeg file format library
ii  libavutil-extra-49                         4:0.5+svn20090706-2ubuntu1                 ffmpeg utility library
ii  libavutil-unstripped-49                    4:0.5+svn20090706-2ubuntu1                 ffmpeg utility library - transitional package

Since the -unstripped- packages are transitional, the Depends line for
libk3b6-extracodecs should become:

Depends: [...] libavcodec52 (>= 3:0.svn20090303-1) | libavcodec-extra-52
(>= whatever), libavformat52 (>= 3:0.svn20090303-1) | libavformat-
extra-52 (whatever), libavutil49 (>= 3:0.svn20090303-1) | libavutil-
extra-49 (whatever)

I.e. an extra libav[whatever]-extra-[num] for every
libav[whatever][num]. Thanks.

-- 
[karmic] Latest libk3b6-extracodecs package depends on stripped ffmpeg packages, but not the unstripped ones.
https://bugs.launchpad.net/bugs/416890
You received this bug notification because you are a member of Ubuntu
Burning Team, which is subscribed to k3b in ubuntu.



More information about the Ubuntu-burning mailing list